Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class ReadWriteBackingMap.ValuesCollection

`java.lang.Object
java.util.AbstractCollection
com.tangosol.net.cache.ReadWriteBackingMap.ValuesCollection`

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection

Enclosing class:
  ReadWriteBackingMap

      protected class ReadWriteBackingMap.ValuesCollection

extends java.util.AbstractCollection

A collection of values backed by this map.

Constructor Summary
`protected` | `ReadWriteBackingMap.ValuesCollection()`

Method Summary
`void` | `clear()` Removes all of the elements from this Collection of values by clearing the underlying Map.
`java.util.Iterator` | `iterator()` Obtain an iterator over the values in the Map.
`int` | `size()` Determine the number of values in the Collection.
`java.lang.Object[]` | `toArray()` Returns an array containing all of the keys in this collection.
`java.lang.Object[]` | `toArray(java.lang.Object[] ao)` Returns an array with a runtime type is that of the specified array and that contains all of the keys in this Collection.

Methods inherited from class java.util.AbstractCollection
`add, addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toString`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Constructor Detail

### ReadWriteBackingMap.ValuesCollection

    protected ReadWriteBackingMap.ValuesCollection()

Method Detail

### iterator

    public java.util.Iterator iterator()

  Obtain an iterator over the values in the Map.
  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in class `java.util.AbstractCollection`
  Returns:
    an Iterator that provides a live view of the values in the underlying Map object

### size

    public int size()

  Determine the number of values in the Collection.
  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in class `java.util.AbstractCollection`
  Returns:
    the number of values in the Collection, which is the same as the number of entries in the underlying Map

### clear

    public void clear()

  Removes all of the elements from this Collection of values by clearing the underlying Map.
  Specified by:
    `clear` in interface `java.util.Collection`
  Overrides:
    `clear` in class `java.util.AbstractCollection`

### toArray

    public java.lang.Object[] toArray()

  Returns an array containing all of the keys in this collection.
  Specified by:
    `toArray` in interface `java.util.Collection`
  Overrides:
    `toArray` in class `java.util.AbstractCollection`
  Returns:
    an array containing all of the keys in this collection

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] ao)

  Returns an array with a runtime type is that of the specified array and that contains all of the keys in this Collection. If the Collection fits in the specified array, it is returned therein. Otherwise, a new array is allocated with the runtime type of the specified array and the size of this collection. If the Collection fits in the specified array with room to spare (i.e., the array has more elements than the Collection), the element in the array immediately following the end of the Collection is set to `null`. This is useful in determining the length of the Collection only if the caller knows that the Collection does not contain any `null` elements.)
  Specified by:
    `toArray` in interface `java.util.Collection`
  Overrides:
    `toArray` in class `java.util.AbstractCollection`
  Parameters:
    `ao` - the array into which the elements of the Collection are to be stored, if it is big enough; otherwise, a new array of the same runtime type is allocated for this purpose
  Returns:
    an array containing the elements of the Collection
  Throws:
    `java.lang.ArrayStoreException` - if the runtime type of the specified array is not a supertype of the runtime type of every element in this Collection of values

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.